package com.tuoheng.admin.service.structure;

import com.tuoheng.admin.entity.Structure;
import com.tuoheng.admin.query.StructureQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
public interface IStructureService extends IBaseService<Structure> {
    JsonResult queryPage(StructureQuery query);

    JsonResult getListInfo(StructureQuery query);

    JsonResult editInfo(Structure entity);

    JsonResult getSectionInfo();
}
